Bug 1298659 - After resuming a failed deployment see error from fusor_server-0.0.1/lib/init_log.rb:29:in `stop_collect_satellite_logs' [E] Operation not permitted (Errno::EPERM)
After resuming a failed deployment see error from fusor_server-0.0.1/lib/ini...
Status: NEW
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: fusor-server (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: dgao
Dave Johnson
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-14 11:54 EST by John Matthews
Modified: 2016-09-23 14:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ps auxf &> ps_output (18.71 KB, text/plain)
2016-01-14 11:55 EST, John Matthews
no flags Details

  None (edit)
Description John Matthews 2016-01-14 11:54:19 EST
Description of problem:

Steps:
1) Ran a RHEV + CFME deployment
2) Failure, related to updating CFME password.
3) Fixed problem and resumed child task for deploy CFME
4) Success, deployment went to 100%.
5) Resumed the parent deploy task

....saw this error:


2016-01-14 15:16:55 [E] Operation not permitted (Errno::EPERM)
/opt/rh/ruby193/root/usr/share/gems/gems/fusor_server-0.0.1/lib/fusor/multilog.rb:73:in `kill'
/opt/rh/ruby193/root/usr/share/gems/gems/fusor_server-0.0.1/lib/fusor/multilog.rb:73:in `block (2 levels) in stop_collect'
/opt/rh/ruby193/root/usr/share/gems/gems/fusor_server-0.0.1/lib/fusor/multilog.rb:71:in `each'
/opt/rh/ruby193/root/usr/share/gems/gems/fusor_server-0.0.1/lib/fusor/multilog.rb:71:in `block in stop_collect'
/opt/rh/ruby193/root/usr/share/gems/gems/fusor_server-0.0.1/lib/fusor/multilog.rb:61:in `each'
/opt/rh/ruby193/root/usr/share/gems/gems/fusor_server-0.0.1/lib/fusor/multilog.rb:61:in `stop_collect'
/opt/rh/ruby193/root/usr/share/gems/gems/fusor_server-0.0.1/lib/init_log.rb:29:in `stop_collect_satellite_logs'
/git/RHCI/fusor/server/app/lib/actions/fusor/deploy.rb:55:in `finalize'



Version-Release number of selected component (if applicable):

Running devel env fusor_server 1/14/2016


--snippet from ps output--

foreman  10149  0.0  0.0   9516   656 ?        S    Jan13   0:00 sh -c tail -f /var/log/candlepin/candlepin.log >> /usr/share/foreman/log/deployments/jwm-1/var/log/candlepin
foreman  10151  0.0  0.0   4356   320 ?        S    Jan13   0:00  \_ tail -f /var/log/candlepin/candlepin.log
foreman  10152  0.0  0.0   9516   656 ?        S    Jan13   0:00 sh -c tail -f /var/log/messages >> /usr/share/foreman/log/deployments/jwm-1/var/log/messages
foreman  10154  0.0  0.0   4356   316 ?        S    Jan13   0:00  \_ tail -f /var/log/messages
Comment 1 John Matthews 2016-01-14 11:55 EST
Created attachment 1114883 [details]
ps auxf &> ps_output

Note You need to log in before you can comment on or make changes to this bug.